%define module    qtpy
%define pypi_name QtPy

Name:           python-%{module}
Version:        1.2.1
Release:        %mkrel 1
Summary:        Abstraction layer for PyQt5/PyQt4/PySide (Python 2)
Group:          Development/Python
License:        MIT and BSD
URL:            https://github.com/spyder-ide/qtpy
Source0:        https://github.com/spyder-ide/%{module}/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description
QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets
you write applications using a single API call to either PyQt or
PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout
(where the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import
qt from qtpy instead of PyQt5.

#----------------------------------------------------

%package -n     python3-%{module}
Summary:        Abstraction layer for PyQt5/PyQt4/PySide (Python 3)
Group:          Development/Python
BuildArch:      noarch

%description -n python3-%{module}
QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets
you write applications using a single API call to either PyQt or
PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout
(where the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import
qt from qtpy instead of PyQt5.

#----------------------------------------------------

%prep
%autosetup -n %{module}-%{version}

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%files
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Jan 29 2017 daviddavid <daviddavid> 1.2.1-1.mga6
+ Revision: 1083994
- initial package python-qtpy

